@font-face {
    font-family: 'IFI';
    font-style: normal;
    font-weight: 400;
    src: url("/assets/fonts/Montserrat-Regular.woff2") format('woff2');
}

@font-face {
    font-family: 'IFI';
    font-style: normal;
    font-weight: 700;
    src: url("/assets/fonts/Montserrat-Bold.woff2") format('woff2');
}

@font-face {
    font-family: 'IFI';
    font-style: normal;
    font-weight: 800;
    src: url("/assets/fonts/Montserrat-ExtraBold.woff2") format('woff2');
}

@font-face {
    font-family: 'IFI';
    font-style: normal;
    font-weight: 900;
    src: url("/assets/fonts/Montserrat-Black.woff2") format('woff2');
}

*,
*::before,
*::after {
    box-sizing: border-box !important;
    margin: 0;
    padding: 0;
}

:root {
    --font: "IFI", sans-serif;
    --color-text: #ffffff;
    --color-grey: #171918;
    --color-bg: #000000;
    --color-main: #7ED321;
    --s: 1rem;
}

body,
p,
input,
select,
textarea,
h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--font);
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 800;
    font-style: normal;
}

body {
    display: flex;
    flex-direction: column;
    color: var(--color-text);
    background-color: var(--color-bg);
    font-size: 16px;
    letter-spacing: 0px;
    font-weight: 400;
    align-items: center;
    justify-content: center;
    min-height: 100dvh;
}

a {
    color: var(--color-text);
}

img {
    pointer-events: none;
    user-select: none;
}

.card {
    width: 90%;
    max-width: 600px;
    margin: 4% auto;
    background-color: var(--color-grey);
    text-align: center;
    padding: calc(var(--s) * 2);
    border-radius: calc(var(--s) * 2);
    height: 100%;
    display: flex;
    flex-direction: column;
    border-bottom: 1px solid var(--color-main);
}

.top {
    margin-bottom: calc(var(--s) * 2);
}

.top .logo {
    display: block;
    margin: 0 auto;
    margin-bottom: calc(var(--s) * 1);
    max-width: 100px;
    margin-bottom: 1rem;
}

.top span {
    text-transform: uppercase;
    letter-spacing: 1px;
    font-size: 90%;
    opacity: 0.8;
    font-weight: 900;
}

.social {
    margin-bottom: calc(var(--s) * 2);
}

.social ul {
    list-style-type: none;
    display: flex;
    font-size: 1.5rem;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    gap: calc(var(--s));
}

.social ul svg {
    width: calc(var(--s) * 1.4);
    height: calc(var(--s) * 1.4);
    color: var(--color-text);
    fill: var(--color-text);
}

.links {
    flex-grow: 1;
}

.links ul {
    list-style-type: none;
}

.links li a {
    text-decoration: none;
    color: var(--color-bg);
    background-color: var(--color-main);
    display: block;
    width: 100%;
    padding: calc(var(--s) * 1.2);
    margin-bottom: calc(var(--s) * 1);
    border-radius: calc(var(--s) * 1);
    position: relative;
}

.links li svg {
    width: calc(var(--s) * 1.7);
    height: calc(var(--s) * 1.7);
    display: block;
}

.links li p {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto 0;
    width: 100%;
    padding: 0px calc(var(--s) * 3.5);
    display: flex;
    align-items: center;
    justify-content: center;
}

@media only screen and (max-width: 399px) {
    .links li svg {
        width: calc(var(--s) * 1.5);
        height: calc(var(--s) * 1.5);
    }

    .links li p {
        padding: 0px calc(var(--s) * 3.5);
    }
}

.grid .foto {
    width: 100%;
    height: 100%;
    padding: 5rem;
    text-decoration: none;
    color: var(--color-text);
    background-color: var(--color-bg);
    display: block;
    width: 100%;
    padding: 0;
    border-radius: calc(var(--s) * 1);
    overflow: hidden;
    position: relative;
    border-bottom: 3px solid var(--color-main);
    margin-bottom: calc(var(--s) * 1);
}

.grid .foto img {
    width: 100%;
    height: auto;
    display: block;
    aspect-ratio: 4/2;
    object-fit: cover;
}

footer {
    margin-top: calc(var(--s) * 2);
    font-size: 87%;
    opacity: 0.6;
    text-wrap: balance;
}